## org.eclipse.emf.mapping.xsd2ecore.presentation
Class XSD2EcoreEditor

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.EditorPart
                  org.eclipse.ui.part.MultiPageEditorPart
                      org.eclipse.emf.mapping.presentation.MappingEditor
                          org.eclipse.emf.mapping.xsd2ecore.presentation.XSD2EcoreEditor

All Implemented Interfaces:
  IAdaptable, IExecutableExtension, IEditingDomainProvider, IMenuListener, IPageChangeProvider, ISelectionProvider, IEditorPart, ISaveablePart, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, IWorkbenchPartOrientation

    public class XSD2EcoreEditor

extends MappingEditor

This is an example of a mapper model editor.

Nested Class Summary
`static class` `XSD2EcoreEditor.MyInitializeCopyOverrideCommand`
`static class` `XSD2EcoreEditor.MyMappingDomain`

Nested classes/interfaces inherited from class org.eclipse.emf.mapping.presentation.MappingEditor
`MappingEditor.ActionBarContributor, MappingEditor.DelayedColumnFitter, MappingEditor.MyDecoratorAdapterFactory, MappingEditor.MyViewerPane, MappingEditor.OverviewDecoratorAdapterFactory, MappingEditor.OverviewViewer`

Field Summary

Fields inherited from class org.eclipse.emf.mapping.presentation.MappingEditor

`bottomImage, bottomLabel, commandStackListener, contentOutlineFilterAction, contentOutlinePage, contentOutlineStatusLineManager, contentOutlineViewer, currentViewer, currentViewerPane, DIVIDER, dropViewer, editorSelection, isNotificationEnabled, leftSelectionFactory, leftSelectionViewer, mappingDomain, mappingRoot, modelFile, overviewFactory, overviewSummaryColumnLabel, overviewViewer, overviewViewerPane, partListener, propertySheetPage, rightSelectionFactory, rightSelectionViewer, SELECTED_MAPPED_OBJECT_PREFIX, SELECTED_MAPPING_PREFIX, selectionChangedListener, selectionChangedListeners, SEPARATOR, topImage, topLabel`

Fields inherited from class org.eclipse.ui.part.MultiPageEditorPart
`PAGE_CONTAINER_SITE`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`XSD2EcoreEditor()`

Method Summary
`protected AdapterFactoryMappingDomain` `createMappingDomain()`
`protected void` `handleMissingModelFile()`

Methods inherited from class org.eclipse.emf.mapping.presentation.MappingEditor

`addSelectionChangedListener, createContextMenuFor, createLaunchedOverviewSummaryColumnEditor, createOverviewDecoratorAdapterFactory, createOverviewViewer, createPages, dispose, doSave, doSaveAs, doSaveHelper, firePropertyChange, getActionBarContributor, getActionBars, getAdapter, getBottomImage, getBottomLabel, getContentOutlinePage, getCurrentViewer, getDefaultCheckedShowTopFirst, getDefaultFilterUnmappedObjects, getDefaultShowMultipleColumns, getEditingDomain, getMappedObjects, getMappingDomain, getMappings, getOverviewSummaryColumnImage, getOverviewSummaryColumnLabel, getOverviewSummaryColumnText, getPropertySheetPage, getSelection, getTopImage, getTopLabel, getURIFromFile, gotoMarker, handleCreation, handleCreationException, hasLaunchedOverviewSummaryColumnEditor, hideTabs, init, isDirty, isNotificationEnabled, isSaveAsAllowed, menuAboutToShow, removeSelectionChangedListener, setCurrentViewer, setCurrentViewerPane, setFocus, setMappingRoot, setNotificationEnabled, setSelection, setSelectionToViewer, setStatusLineManager`

Methods inherited from class org.eclipse.ui.part.MultiPageEditorPart

`activateSite, addPage, addPage, addPage, addPage, addPageChangedListener, createPageContainer, createPartControl, createSite, deactivateSite, findEditors, getActiveEditor, getActivePage, getContainer, getControl, getEditor, getPageCount, getPageImage, getPageSite, getPageText, getSelectedPage, handlePropertyChange, initializePageSwitching, pageChange, removePage, removePageChangedListener, setActiveEditor, setActivePage, setControl, setPageImage, setPageText`

Methods inherited from class org.eclipse.ui.part.EditorPart
`checkSite, getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setContentDescription, setInitializationData, setInput, setInputWithNotify, setPartName`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, removePropertyListener`

Constructor Detail

### XSD2EcoreEditor

    public XSD2EcoreEditor()

Method Detail

### createMappingDomain

    protected AdapterFactoryMappingDomain createMappingDomain()

  Specified by:
    `createMappingDomain` in class `MappingEditor`

### handleMissingModelFile

    protected void handleMissingModelFile()

  Specified by:
    `handleMissingModelFile` in class `MappingEditor`
  See Also:
    `MappingEditor.handleMissingModelFile()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.